# BillboardGraphics

#### new Cesium.BillboardGraphics(options)
DataSources/BillboardGraphics.js 51

  Describes a two dimensional icon located at the position of the containing `Entity`.

  Example billboards

  Name | Type | Description
  --- | --- | ---
  `options` | Object | optional Object with the following properties:
  Name | Type | Default | Description
  --- | --- | --- | ---
  `image` | Property |  | optional A Property specifying the Image, URI, or Canvas to use for the billboard.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the billboard.
  `scale` | Property | `1.0` | optional A numeric Property specifying the scale to apply to the image size.
  `horizontalOrigin` | Property | `HorizontalOrigin.CENTER` | optional A Property specifying the `HorizontalOrigin`.
  `verticalOrigin` | Property | `VerticalOrigin.CENTER` | optional A Property specifying the `VerticalOrigin`.
  `eyeOffset` | Property | `Cartesian3.ZERO` | optional A `Cartesian3` Property specifying the eye offset.
  `pixelOffset` | Property | `Cartesian2.ZERO` | optional A `Cartesian2` Property specifying the pixel offset.
  `rotation` | Property | `0` | optional A numeric Property specifying the rotation about the alignedAxis.
  `alignedAxis` | Property | `Cartesian3.ZERO` | optional A `Cartesian3` Property specifying the axis of rotation.
  `width` | Property |  | optional A numeric Property specifying the width of the billboard in pixels, overriding the native size.
  `height` | Property |  | optional A numeric Property specifying the height of the billboard in pixels, overriding the native size.
  `color` | Property | `Color.WHITE` | optional A Property specifying the tint `Color` of the image.
  `scaleByDistance` | Property |  | optional A `NearFarScalar` Property used to scale the point based on distance from the camera.
  `translucencyByDistance` | Property |  | optional A `NearFarScalar` Property used to set translucency based on distance from the camera.
  `pixelOffsetScaleByDistance` | Property |  | optional A `NearFarScalar` Property used to set pixelOffset based on distance from the camera.
  `imageSubRegion` | Property |  | optional A Property specifying a `BoundingRectangle` that defines a sub-region of the image to use for the billboard, rather than the entire image.
  `sizeInMeters` | Property |  | optional A boolean Property specifying whether this billboard's size should be measured in meters.

  ##### Demo:

  - Cesium Sandcastle Billboard Demo

### Members

#### alignedAxis : Property
DataSources/BillboardGraphics.js 151

  Gets or sets the `Cartesian3` Property specifying the axis of rotation in the fixed frame. When set to Cartesian3.ZERO the rotation is from the top of the screen.
  Default Value: `Cartesian3.ZERO`

#### color : Property
DataSources/BillboardGraphics.js 187

  Gets or sets the Property specifying the `Color` that is multiplied with the `image`. This has two common use cases. First, the same white texture may be used by many different billboards, each with a different color, to create colored billboards. Second, the color's alpha component can be used to make the billboard translucent as shown below. An alpha of `0.0` makes the billboard transparent, and `1.0` makes the billboard opaque.

  `default` | `alpha : 0.5`

  Default Value: `Color.WHITE`

#### readonlydefinitionChanged : Event
DataSources/BillboardGraphics.js 99

  Gets the event that is raised whenever a property or sub-property is changed or modified.

#### eyeOffset : Property
DataSources/BillboardGraphics.js 212

  Gets or sets the `Cartesian3` Property specifying the billboard's offset in eye coordinates. Eye coordinates is a left-handed coordinate system, where `x` points towards the viewer's right, `y` points up, and `z` points into the screen.

  An eye offset is commonly used to arrange multiple billboards or objects at the same position, e.g., to arrange a billboard above its corresponding 3D model.

  Below, the billboard is positioned at the center of the Earth but an eye offset makes it always appear on top of the Earth regardless of the viewer's or Earth's orientation.

  `b.eyeOffset = new Cartesian3(0.0, 8000000.0, 0.0);`
  Default Value: `Cartesian3.ZERO`

#### height : Property
DataSources/BillboardGraphics.js 256

  Gets or sets the numeric Property specifying the height of the billboard in pixels. When undefined, the native height is used.

#### horizontalOrigin : Property
DataSources/BillboardGraphics.js 159

  Gets or sets the Property specifying the `HorizontalOrigin`.
  Default Value: `HorizontalOrigin.CENTER`

#### image : Property
DataSources/BillboardGraphics.js 110

  Gets or sets the Property specifying the Image, URI, or Canvas to use for the billboard.

#### imageSubRegion : Property
DataSources/BillboardGraphics.js 118

  Gets or sets the Property specifying a `BoundingRectangle` that defines a sub-region of the `image` to use for the billboard, rather than the entire image.

#### pixelOffset : Property
DataSources/BillboardGraphics.js 232

  Gets or sets the `Cartesian2` Property specifying the billboard's pixel offset in screen space from the origin of this billboard. This is commonly used to align multiple billboards and labels at the same position, e.g., an image and text. The screen space origin is the top, left corner of the canvas; `x` increases from left to right, and `y` increases from top to bottom.

  `default` | `b.pixeloffset = new Cartesian2(50, 25);`

  The billboard's origin is indicated by the yellow point.
  Default Value: `Cartesian2.ZERO`

#### pixelOffsetScaleByDistance : Property
DataSources/BillboardGraphics.js 289

  Gets or sets `NearFarScalar` Property specifying the pixel offset of the billboard based on the distance from the camera. A billboard's pixel offset will interpolate between the `NearFarScalar#nearValue` and `NearFarScalar#farValue` while the camera distance falls within the upper and lower bounds of the specified `NearFarScalar#near` and `NearFarScalar#far`. Outside of these ranges the billboard's pixel offset remains clamped to the nearest bound.

#### rotation : Property
DataSources/BillboardGraphics.js 142

  Gets or sets the numeric Property specifying the rotation of the image counter clockwise from the `alignedAxis`.
  Default Value: `0`

#### scale : Property
DataSources/BillboardGraphics.js 133

  Gets or sets the numeric Property specifying the uniform scale to apply to the image. A scale greater than `1.0` enlarges the billboard while a scale less than `1.0` shrinks it.

  From left to right in the above image, the scales are `0.5`, `1.0`, and `2.0`.
  Default Value: `1.0`

#### scaleByDistance : Property
DataSources/BillboardGraphics.js 267

  Gets or sets `NearFarScalar` Property specifying the scale of the billboard based on the distance from the camera. A billboard's scale will interpolate between the `NearFarScalar#nearValue` and `NearFarScalar#farValue` while the camera distance falls within the upper and lower bounds of the specified `NearFarScalar#near` and `NearFarScalar#far`. Outside of these ranges the billboard's scale remains clamped to the nearest bound.

#### show : Property
DataSources/BillboardGraphics.js 240

  Gets or sets the boolean Property specifying the visibility of the billboard.
  Default Value: `true`

#### sizeInMeters : Property
DataSources/BillboardGraphics.js 297

  Gets or sets the boolean Property specifying if this billboard's size will be measured in meters.
  Default Value: `false`

#### translucencyByDistance : Property
DataSources/BillboardGraphics.js 278

  Gets or sets `NearFarScalar` Property specifying the translucency of the billboard based on the distance from the camera. A billboard's translucency will interpolate between the `NearFarScalar#nearValue` and `NearFarScalar#farValue` while the camera distance falls within the upper and lower bounds of the specified `NearFarScalar#near` and `NearFarScalar#far`. Outside of these ranges the billboard's translucency remains clamped to the nearest bound.

#### verticalOrigin : Property
DataSources/BillboardGraphics.js 167

  Gets or sets the Property specifying the `VerticalOrigin`.
  Default Value: `VerticalOrigin.CENTER`

#### width : Property
DataSources/BillboardGraphics.js 248

  Gets or sets the numeric Property specifying the billboard's width in pixels. When undefined, the native width is used.

### Methods

#### clone(result) → BillboardGraphics
DataSources/BillboardGraphics.js 306

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | BillboardGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/BillboardGraphics.js 336

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | BillboardGraphics | The object to be merged into this object.